<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.BaseCouponMapper">

    <resultMap type="com.ssm.manage.entity.BaseCoupon" id="BaseCouponMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="couponNum" column="coupon_num" jdbcType="VARCHAR"/>
        <result property="couponName" column="coupon_name" jdbcType="VARCHAR"/>
        <result property="number" column="number" jdbcType="INTEGER"/>
        <result property="value" column="value" jdbcType="VARCHAR"/>
        <result property="couponType" column="coupon_type" jdbcType="INTEGER"/>
        <result property="serviceConditions" column="service_conditions" jdbcType="INTEGER"/>
        <result property="fullReductionMoney" column="full_reduction_money" jdbcType="NUMERIC"/>
        <result property="suitableStore" column="suitable_store" jdbcType="INTEGER"/>
        <result property="indateType" column="indate_type" jdbcType="INTEGER"/>
        <result property="startDay" column="start_day" jdbcType="INTEGER"/>
        <result property="endDay" column="end_day" jdbcType="INTEGER"/>
        <result property="startDate" column="start_date" jdbcType="TIMESTAMP"/>
        <result property="endDate" column="end_date" jdbcType="TIMESTAMP"/>
        <result property="projectId" column="project_id" jdbcType="INTEGER"/>
        <result property="projectNum" column="project_num" jdbcType="VARCHAR"/>
        <result property="projectName" column="project_name" jdbcType="VARCHAR"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
        <result property="storeId" column="store_id" jdbcType="INTEGER"/>
        <result property="storeNum" column="store_num" jdbcType="VARCHAR"/>
        <result property="storeName" column="store_name" jdbcType="VARCHAR"/>
        <result property="inputId" column="input_id" jdbcType="INTEGER"/>
        <result property="inputBy" column="input_by" jdbcType="VARCHAR"/>
        <result property="inputDate" column="input_date" jdbcType="TIMESTAMP"/>
        <result property="updateId" column="update_id" jdbcType="INTEGER"/>
        <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
        <result property="updateDate" column="update_date" jdbcType="TIMESTAMP"/>
    </resultMap>
</mapper>

